package jp.agentec.sinaburocast.entity;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name="m_enquete")
public class Enquete extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "enquete_id")
	public Integer enqueteId;

	@Column(name = "enquete_no")
	public Integer enqueteNo;

	@Column(name = "enquete_name")
	public String enqueteName;

	public String header;

	public String footer;

	@Column(name = "end_message")
	public String endMessage;

	@Column(name = "expired_message")
	public String expiredMessage;

	@Column(name = "exceed_message")
	public String exceedMessage;

	@Column(name = "point_num")
	public Integer pointNum;

	@Column(name = "start_date")
	public String startDate;

	@Column(name = "end_date")
	public String endDate;

	public Integer status;

	@Column(name = "admin_user_id")
	public Integer adminUserId;

	@Column(name = "del_flg")
	public Integer delFlg;

	@Column(name = "disp_flg")
	public Integer dispFlg;

	@Column(name = "enquete_type")
	public Integer enqueteType;
	
	@Column(name = "private_flg")
	public boolean privateFlg;

    /** MAnswerList関連プロパティ */
    @OneToMany(mappedBy = "enquete")
    public List<Answer> answerList;

    /** MAdminUser関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "admin_user_id", referencedColumnName = "admin_user_id")
    public AdminUser adminUser;

    /** MQuestionList関連プロパティ */
    @OneToMany(mappedBy = "enquete")
    public List<Question> questionList;

    /** TAdminNotifyMailList関連プロパティ */
    @OneToMany(mappedBy = "enquete")
    public List<AdminNotifyMail> adminNotifyMailList;

    /** TEnqueteSummaryList関連プロパティ */
    @OneToMany(mappedBy = "enquete")
    public List<EnqueteSummary> enqueteSummaryList;

    /** TMemberNotifyMailList関連プロパティ */
    @OneToMany(mappedBy = "enquete")
    public List<MemberNotifyMail> memberNotifyMailList;

	@OneToMany(mappedBy = "enquete")
	public List<Reply> replyList;

    @ManyToOne
    @JoinColumn(name = "enquete_id", referencedColumnName = "enquete_id")
    public EnqueteSummary enqueteSummary;

}
