package jp.agentec.sinaburocast.vo;

import java.util.Date;

import jp.agentec.sinaburocast.common.SinaburoConstant.Formats;
import jp.agentec.sinaburocast.common.util.SinaburoUtil;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * アンケートキー保存用データオブジェクト
 * 
 * @author tsukada
 *
 */
public class EnqueteKey {
	public Integer memberId;
	public Integer enqueteId;
	public Date expired;
	
	public EnqueteKey(Integer memberId, Integer enqueteId, Date expired) {
		this.memberId = memberId;
		this.enqueteId = enqueteId;
		this.expired = expired;
	}

	public EnqueteKey(String commaSeperated) {
		String[] val = commaSeperated.split(",");
		this.memberId = Integer.valueOf(val[0]);
		this.enqueteId = Integer.valueOf(val[1]);
		this.expired = SinaburoUtil.convertStringToTimestamp(val[2], Formats.DATE_TIME);
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SHORT_PREFIX_STYLE).toString();
	}

}
